Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4742)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4792)
@@ -2261,13 +2139,12 @@
           IF ( netcdf_data_format > 4 )  THEN
 !
-!--          Check if the needed number of output time levels is increased
-!--          compared to the number of time levels in the existing file.
+!--          Check if the needed number of output time levels is increased compared to the number of
+!--          time levels in the existing file.
              IF ( ntdim_3d(av) > ntime_count )  THEN
-                message_string = 'netCDF file for volume data ' // &
-                                 TRIM( var ) // ' from previous run found,' // &
-                                 '&but this file cannot be extended becaus' // &
-                                 'e the number of output time levels has b' // &
-                                 'een increased compared to the previous s' // &
-                                 'imulation.' //                               &
+                message_string = 'netCDF file for volume data ' // TRIM( var ) //                  &
+                                 ' from previous run found,' //                                    &
+                                 '&but this file cannot be extended becaus' //                     &
+                                 'e the number of output time levels has b' //                     &
+                                 'een increased compared to the previous s' // 'imulation.' //     &
                                  '&New file is created instead.'
                 CALL message( 'define_netcdf_header', 'PA0388', 0, 1, 0, 6, 0 )
@@ -2277,14 +2154,12 @@
 !--             Recalculate the needed time levels for the new file.
                 IF ( av == 0 )  THEN
-                   ntdim_3d(0) = CEILING(                               &
-                           ( end_time - MAX( skip_time_do3d,            &
-                                             simulated_time_at_begin )  &
-                           ) / dt_do3d )
+                   ntdim_3d(0) = CEILING( ( end_time - MAX( skip_time_do3d,                        &
+                                                            simulated_time_at_begin )              &
+                                          ) / dt_do3d )
                    IF ( do3d_at_begin )  ntdim_3d(0) = ntdim_3d(0) + 1
                 ELSE
-                   ntdim_3d(1) = CEILING(                               &
-                           ( end_time - MAX( skip_time_data_output_av,  &
-                                             simulated_time_at_begin )  &
-                           ) / dt_data_output_av )
+                   ntdim_3d(1) = CEILING( ( end_time - MAX( skip_time_data_output_av,              &
+                                                            simulated_time_at_begin )              &
+                                          ) / dt_data_output_av )
                 ENDIF
                 RETURN
@@ -2296,7 +2171,6 @@
 !--       Now get the variable ids.
           i = 1
-          DO WHILE ( do3d(av,i)(1:1) /= ' ' )
-             nc_stat = NF90_INQ_VARID( id_set_3d(av), TRIM( do3d(av,i) ), &
-                                       id_var_do3d(av,i) )
+          DO  WHILE ( do3d(av,i)(1:1) /= ' ' )
+             nc_stat = NF90_INQ_VARID( id_set_3d(av), TRIM( do3d(av,i) ), id_var_do3d(av,i) )
              CALL netcdf_handle_error( 'netcdf_define_header', 95 )
 #if defined( __netcdf4_parallel )
@@ -2304,7 +2178,5 @@
 !--          Set collective io operations for parallel io
              IF ( netcdf_data_format > 4 )  THEN
-                nc_stat = NF90_VAR_PAR_ACCESS( id_set_3d(av),     &
-                                               id_var_do3d(av,i), &
-                                               NF90_COLLECTIVE )
+                nc_stat = NF90_VAR_PAR_ACCESS( id_set_3d(av), id_var_do3d(av,i), NF90_COLLECTIVE )
                 CALL netcdf_handle_error( 'netcdf_define_header', 453 )
              ENDIF
@@ -2314,27 +2186,23 @@
 
 !
-!--       Update the title attribute on file
-!--       In order to avoid 'data mode' errors if updated attributes are larger
-!--       than their original size, NF90_PUT_ATT is called in 'define mode'
-!--       enclosed by NF90_REDEF and NF90_ENDDEF calls. This implies a possible
-!--       performance loss due to data copying; an alternative strategy would be
-!--       to ensure equal attribute size. Maybe revise later.
+!--       Update the title attribute on file.
+!--       In order to avoid 'data mode' errors if updated attributes are larger than their original
+!--       size, NF90_PUT_ATT is called in 'define mode' enclosed by NF90_REDEF and NF90_ENDDEF
+!--       calls. This implies a possible performance loss due to data copying; an alternative
+!--       strategy would be to ensure equal attribute size. Maybe revise later.
           IF ( av == 0 )  THEN
              time_average_text = ' '
           ELSE
-             WRITE (time_average_text, '('', '',F7.1,'' s average'')') &
-                                                            averaging_interval
+             WRITE ( time_average_text, '('', '',F7.1,'' s average'')' ) averaging_interval
           ENDIF
           nc_stat = NF90_REDEF( id_set_3d(av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 429 )
-          nc_stat = NF90_PUT_ATT( id_set_3d(av), NF90_GLOBAL, 'title', &
-                                  TRIM( run_description_header ) //    &
-                                  TRIM( time_average_text ) )
+          nc_stat = NF90_PUT_ATT( id_set_3d(av), NF90_GLOBAL, 'title',                             &
+                                  TRIM( run_description_header ) // TRIM( time_average_text ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 96 )
           nc_stat = NF90_ENDDEF( id_set_3d(av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 430 )
-          message_string = 'netCDF file for volume data ' //             &
-                           TRIM( var ) // ' from previous run found.' // &
-                           '&This file will be extended.'
+          message_string = 'netCDF file for volume data ' // TRIM( var ) //                        &
+                           ' from previous run found.' // '&This file will be extended.'
           CALL message( 'define_netcdf_header', 'PA0248', 0, 0, 0, 6, 0 )
 
@@ -2344,54 +2212,43 @@
 !
 !--       Define some global attributes of the dataset
-          nc_stat = NF90_PUT_ATT( id_set_agt, NF90_GLOBAL, 'title', &
-                                  TRIM( run_description_header ) )
+          nc_stat = NF90_PUT_ATT( id_set_agt, NF90_GLOBAL, 'title', TRIM( run_description_header ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 330 )
 !
 !--       Switch for unlimited time dimension
           IF ( agent_time_unlimited ) THEN
-             CALL netcdf_create_dim( id_set_agt, 'time', NF90_UNLIMITED,       &
+             CALL netcdf_create_dim( id_set_agt, 'time', NF90_UNLIMITED, id_dim_time_agt, 331 )
+          ELSE
+             CALL netcdf_create_dim( id_set_agt, 'time',                                           &
+                                     INT( ( MIN( multi_agent_system_end, end_time ) -              &
+                                            multi_agent_system_start ) /                           &
+                                            dt_write_agent_data * 1.1 ),                           &
                                      id_dim_time_agt, 331 )
-          ELSE
-             CALL netcdf_create_dim( id_set_agt, 'time',                       &
-                                     INT( ( MIN( multi_agent_system_end,       &
-                                                 end_time ) -                  &
-                                            multi_agent_system_start ) /       &
-                                            dt_write_agent_data * 1.1 ),       &
-                                     id_dim_time_agt, 331 )
-          ENDIF
-
-          CALL netcdf_create_var( id_set_agt, (/ id_dim_time_agt /), 'time',   &
-                                  NF90_REAL4, id_var_time_agt, 'seconds', 'time',  &
-                                  332, 333, 000 )
+          ENDIF
+
+          CALL netcdf_create_var( id_set_agt, (/ id_dim_time_agt /), 'time', NF90_REAL4,           &
+                                  id_var_time_agt, 'seconds', 'time', 332, 333, 000 )
           CALL netcdf_create_att( id_set_agt, id_var_time_agt, 'standard_name', 'time', 000)
           CALL netcdf_create_att( id_set_agt, id_var_time_agt, 'axis', 'T', 000)
 
-          CALL netcdf_create_dim( id_set_agt, 'agent_number',                  &
-                                  dim_size_agtnum, id_dim_agtnum, 334 )
-
-          CALL netcdf_create_var( id_set_agt, (/ id_dim_agtnum /),             &
-                                  'agent_number', NF90_REAL4,                  &
-                                  id_var_agtnum, 'agent number', '', 335,      &
-                                  336, 000 )
+          CALL netcdf_create_dim( id_set_agt, 'agent_number', dim_size_agtnum, id_dim_agtnum, 334 )
+
+          CALL netcdf_create_var( id_set_agt, (/ id_dim_agtnum /), 'agent_number', NF90_REAL4,     &
+                                  id_var_agtnum, 'agent number', '', 335, 336, 000 )
 !
 !--       Define variable which contains the real number of agents in use
-          CALL netcdf_create_var( id_set_agt, (/ id_dim_time_agt /),           &
-                                  'real_num_of_agt', NF90_REAL4,               &
-                                  id_var_rnoa_agt, 'agent number', '', 337,    &
-                                  338, 000 )
+          CALL netcdf_create_var( id_set_agt, (/ id_dim_time_agt /), 'real_num_of_agt', NF90_REAL4,&
+                                  id_var_rnoa_agt, 'agent number', '', 337, 338, 000 )
           i = 1
-          CALL netcdf_create_var( id_set_agt, (/ id_dim_agtnum,                &
-                                  id_dim_time_agt /), agt_var_names(i),        &
-                                  NF90_DOUBLE, id_var_agt(i),                  &
-                                  TRIM( agt_var_units(i) ),                    &
-                                  TRIM( agt_var_names(i) ), 339, 340, 341 )
+          CALL netcdf_create_var( id_set_agt, (/ id_dim_agtnum, id_dim_time_agt /),                &
+                                  agt_var_names(i), NF90_DOUBLE, id_var_agt(i),                    &
+                                  TRIM( agt_var_units(i) ), TRIM( agt_var_names(i) ),              &
+                                  339, 340, 341 )
 !
 !--       Define the variables
           DO  i = 2, 6
-             CALL netcdf_create_var( id_set_agt, (/ id_dim_agtnum,             &
-                                     id_dim_time_agt /), agt_var_names(i),     &
-                                     NF90_REAL4, id_var_agt(i),                &
-                                     TRIM( agt_var_units(i) ),                 &
-                                     TRIM( agt_var_names(i) ), 339, 340, 341 )
+             CALL netcdf_create_var( id_set_agt, (/ id_dim_agtnum, id_dim_time_agt /),             &
+                                     agt_var_names(i), NF90_REAL4, id_var_agt(i),                  &
+                                     TRIM( agt_var_units(i) ), TRIM( agt_var_names(i) ),           &
+                                     339, 340, 341 )
 
           ENDDO
@@ -2399,9 +2256,8 @@
 !--       Define vars for biometeorology
           IF ( biometeorology )  THEN
-             CALL netcdf_create_var( id_set_agt, (/ id_dim_agtnum,             &
-                                     id_dim_time_agt /), agt_var_names(7),     &
-                                     nc_precision(8), id_var_agt(7),           &
-                                     TRIM( agt_var_units(7) ),                 &
-                                     TRIM( agt_var_names(7) ), 339, 340, 341 )                      
+             CALL netcdf_create_var( id_set_agt, (/ id_dim_agtnum, id_dim_time_agt /),             &
+                                     agt_var_names(7), nc_precision(8), id_var_agt(7),             &
+                                     TRIM( agt_var_units(7) ), TRIM( agt_var_names(7) ),           &
+                                     339, 340, 341 )
           ENDIF
 !
@@ -2415,33 +2271,28 @@
 !
 ! !
-! !--       Get the id of the time coordinate (unlimited coordinate) and its
-! !--       last index on the file. The next time level is prt..count+1.
-! !--       The current time must be larger than the last output time
-! !--       on the file.
+! !--       Get the id of the time coordinate (unlimited coordinate) and its last index on the file.
+! !--       The next time level is prt..count+1.
+! !--       The current time must be larger than the last output time on the file.
 !           nc_stat = NF90_INQ_VARID( id_set_agt, 'time', id_var_time_agt )
 !           CALL netcdf_handle_error( 'netcdf_define_header', 343 )
 !
-!           nc_stat = NF90_INQUIRE_VARIABLE( id_set_agt, id_var_time_agt, &
-!                                            dimids = id_dim_time_old )
+!           nc_stat = NF90_INQUIRE_VARIABLE( id_set_agt, id_var_time_agt, dimids = id_dim_time_old )
 !           CALL netcdf_handle_error( 'netcdf_define_header', 344 )
 !           id_dim_time_agt = id_dim_time_old(1)
 !
-!           nc_stat = NF90_INQUIRE_DIMENSION( id_set_agt, id_dim_time_agt, &
-!                                             len = agt_time_count )
+!           nc_stat = NF90_INQUIRE_DIMENSION( id_set_agt, id_dim_time_agt, LEN = agt_time_count )
 !           CALL netcdf_handle_error( 'netcdf_define_header', 345 )
 !
-!           nc_stat = NF90_GET_VAR( id_set_agt, id_var_time_agt,  &
-!                                   last_time_coordinate,         &
-!                                   start = (/ agt_time_count /), &
+!           nc_stat = NF90_GET_VAR( id_set_agt, id_var_time_agt,                                   &
+!                                   last_time_coordinate,                                          &
+!                                   start = (/ agt_time_count /),                                  &
 !                                   count = (/ 1 /) )
 !           CALL netcdf_handle_error( 'netcdf_define_header', 346 )
 !
 !           IF ( last_time_coordinate(1) >= simulated_time )  THEN
-!              message_string = 'netCDF file for agents ' //                  &
-!                               'from previous run found,' //                 &
-!                               '&but this file cannot be extended becaus' // &
-!                               'e the current output time' //                &
-!                               '&is less or equal than the last output t' // &
-!                               'ime on this file.' //                        &
+!              message_string = 'netCDF file for agents ' //'from previous run found,' //           &
+!                               '&but this file cannot be extended because' //                      &
+!                               ' the current output time' //                &
+!                               '&is less or equal than the last output time' // ' on this file.' //&
 !                               '&New file is created instead.'
 !              CALL message( 'define_netcdf_header', 'PA0265', 0, 1, 0, 6, 0 )
@@ -2454,18 +2305,15 @@
 ! !--       Dataset seems to be extendable.
 ! !--       Now get the variable ids.
-!           nc_stat = NF90_INQ_VARID( id_set_agt, 'real_num_of_agt', &
-!                                     id_var_rnoa_agt )
+!           nc_stat = NF90_INQ_VARID( id_set_agt, 'real_num_of_agt', id_var_rnoa_agt )
 !           CALL netcdf_handle_error( 'netcdf_define_header', 347 )
 !
 !           DO  i = 1, 17
 !
-!              nc_stat = NF90_INQ_VARID( id_set_agt, agt_var_names(i), &
-!                                        id_var_prt(i) )
+!              nc_stat = NF90_INQ_VARID( id_set_agt, agt_var_names(i), id_var_prt(i) )
 !              CALL netcdf_handle_error( 'netcdf_define_header', 348 )
 !
 !           ENDDO
 !
-!           message_string = 'netCDF file for particles ' // &
-!                            'from previous run found.' //   &
+!           message_string = 'netCDF file for particles ' //'from previous run found.' //           &
 !                            '&This file will be extended.'
 !           CALL message( 'define_netcdf_header', 'PA0266', 0, 0, 0, 6, 0 )
@@ -2477,10 +2325,12 @@
 !--       Define some global attributes of the dataset
           IF ( av == 0 )  THEN
-             CALL netcdf_create_global_atts( id_set_xy(av), 'xy', TRIM( run_description_header ), 97 )
+             CALL netcdf_create_global_atts( id_set_xy(av), 'xy', TRIM( run_description_header ),  &
+                                             97 )
              time_average_text = ' '
           ELSE
-             CALL netcdf_create_global_atts( id_set_xy(av), 'xy_av', TRIM( run_description_header ), 97 )
+             CALL netcdf_create_global_atts( id_set_xy(av), 'xy_av',                               &
+                                             TRIM( run_description_header ), 97 )
              WRITE ( time_average_text,'(F7.1,'' s avg'')' )  averaging_interval
-             nc_stat = NF90_PUT_ATT( id_set_xy(av), NF90_GLOBAL, 'time_avg',   &
+             nc_stat = NF90_PUT_ATT( id_set_xy(av), NF90_GLOBAL, 'time_avg',                       &
                                      TRIM( time_average_text ) )
              CALL netcdf_handle_error( 'netcdf_define_header', 98 )
@@ -2489,17 +2339,15 @@
 !
 !--       Define time coordinate for xy sections.
-!--       For parallel output the time dimensions has to be limited, otherwise
-!--       the performance drops significantly.
+!--       For parallel output the time dimensions has to be limited, otherwise the performance drops
+!--       significantly.
           IF ( netcdf_data_format < 5 )  THEN
-             CALL netcdf_create_dim( id_set_xy(av), 'time', NF90_UNLIMITED,    &
-                                     id_dim_time_xy(av), 99 )
+             CALL netcdf_create_dim( id_set_xy(av), 'time', NF90_UNLIMITED, id_dim_time_xy(av), 99 )
           ELSE
-             CALL netcdf_create_dim( id_set_xy(av), 'time', ntdim_2d_xy(av),   &
-                                     id_dim_time_xy(av), 524 )
-          ENDIF
-
-          CALL netcdf_create_var( id_set_xy(av), (/ id_dim_time_xy(av) /),     &
-                                  'time', NF90_DOUBLE, id_var_time_xy(av),     &
-                                  'seconds', 'time', 100, 101, 000 )
+             CALL netcdf_create_dim( id_set_xy(av), 'time', ntdim_2d_xy(av), id_dim_time_xy(av),   &
+                                     524 )
+          ENDIF
+
+          CALL netcdf_create_var( id_set_xy(av), (/ id_dim_time_xy(av) /), 'time', NF90_DOUBLE,    &
+                                  id_var_time_xy(av), 'seconds', 'time', 100, 101, 000 )
           CALL netcdf_create_att( id_set_xy(av), id_var_time_xy(av), 'standard_name', 'time', 000)
           CALL netcdf_create_att( id_set_xy(av), id_var_time_xy(av), 'axis', 'T', 000)
@@ -2511,5 +2359,5 @@
           ELSE
              ns = 1
-             DO WHILE ( section(ns,1) /= -9999  .AND.  ns <= 100 )
+             DO  WHILE ( section(ns,1) /= -9999  .AND.  ns <= 100 )
                 ns = ns + 1
              ENDDO
@@ -2519,119 +2367,89 @@
 !
 !--       Define vertical coordinate grid (zu grid)
-          CALL netcdf_create_dim( id_set_xy(av), 'zu_xy', ns,                  &
-                                  id_dim_zu_xy(av), 102 )
-          CALL netcdf_create_var( id_set_xy(av), (/ id_dim_zu_xy(av) /),       &
-                                  'zu_xy', NF90_DOUBLE, id_var_zu_xy(av),      &
-                                  'meters', '', 103, 104, 000 )
-          CALL netcdf_create_att( id_set_xy(av), id_var_zu_xy(av), 'axis',     &
-                                  'Z', 000)
+          CALL netcdf_create_dim( id_set_xy(av), 'zu_xy', ns, id_dim_zu_xy(av), 102 )
+          CALL netcdf_create_var( id_set_xy(av), (/ id_dim_zu_xy(av) /), 'zu_xy', NF90_DOUBLE,     &
+                                  id_var_zu_xy(av), 'meters', '', 103, 104, 000 )
+          CALL netcdf_create_att( id_set_xy(av), id_var_zu_xy(av), 'axis', 'Z', 000)
 !
 !--       Define vertical coordinate grid (zw grid)
-          CALL netcdf_create_dim( id_set_xy(av), 'zw_xy', ns,                  &
-                                  id_dim_zw_xy(av), 105 )
-          CALL netcdf_create_var( id_set_xy(av), (/ id_dim_zw_xy(av) /),       &
-                                  'zw_xy', NF90_DOUBLE, id_var_zw_xy(av),      &
-                                  'meters', '', 106, 107, 000 )
-          CALL netcdf_create_att( id_set_xy(av), id_var_zw_xy(av), 'axis',     &
-                                  'Z', 000)
+          CALL netcdf_create_dim( id_set_xy(av), 'zw_xy', ns, id_dim_zw_xy(av), 105 )
+          CALL netcdf_create_var( id_set_xy(av), (/ id_dim_zw_xy(av) /), 'zw_xy', NF90_DOUBLE,     &
+                                  id_var_zw_xy(av), 'meters', '', 106, 107, 000 )
+          CALL netcdf_create_att( id_set_xy(av), id_var_zw_xy(av), 'axis', 'Z', 000)
 
           IF ( land_surface )  THEN
 
              ns_do = 1
-             DO WHILE ( section(ns_do,1) /= -9999  .AND.  ns_do < nzs )
+             DO  WHILE ( section(ns_do,1) /= -9999  .AND.  ns_do < nzs )
                 ns_do = ns_do + 1
              ENDDO
 !
 !--          Define vertical coordinate grid (zs grid)
-             CALL netcdf_create_dim( id_set_xy(av), 'zs_xy', ns_do,            &
-                                     id_dim_zs_xy(av), 539 )
-             CALL netcdf_create_var( id_set_xy(av), (/ id_dim_zs_xy(av) /),    &
-                                     'zs_xy', NF90_DOUBLE, id_var_zs_xy(av),   &
-                                     'meters', '', 540, 541, 000 )
-             CALL netcdf_create_att( id_set_xy(av), id_var_zs_xy(av), 'axis',  &
-                                     'Z', 000)
-
-          ENDIF
-
-!
-!--       Define a pseudo vertical coordinate grid for the surface variables
-!--       u* and t* to store their height level
-          CALL netcdf_create_dim( id_set_xy(av), 'zu1_xy', 1,                  &
-                                  id_dim_zu1_xy(av), 108 )
-          CALL netcdf_create_var( id_set_xy(av), (/ id_dim_zu1_xy(av) /),      &
-                                  'zu1_xy', NF90_DOUBLE, id_var_zu1_xy(av),    &
-                                  'meters', '', 109, 110, 000 )
-          CALL netcdf_create_att( id_set_xy(av), id_var_zu1_xy(av), 'axis',    &
-                                  'Z', 000)
-!
-!--       Define a variable to store the layer indices of the horizontal cross
-!--       sections, too
-          CALL netcdf_create_var( id_set_xy(av), (/ id_dim_zu_xy(av) /),       &
-                                  'ind_z_xy', NF90_DOUBLE,                     &
-                                  id_var_ind_z_xy(av), 'gridpoints', '', 111,  &
-                                  112, 000 )
+             CALL netcdf_create_dim( id_set_xy(av), 'zs_xy', ns_do, id_dim_zs_xy(av), 539 )
+             CALL netcdf_create_var( id_set_xy(av), (/ id_dim_zs_xy(av) /), 'zs_xy', NF90_DOUBLE,  &
+                                     id_var_zs_xy(av), 'meters', '', 540, 541, 000 )
+             CALL netcdf_create_att( id_set_xy(av), id_var_zs_xy(av), 'axis', 'Z', 000)
+
+          ENDIF
+
+!
+!--       Define a pseudo vertical coordinate grid for the surface variables u* and t* to store
+!--       their height level.
+          CALL netcdf_create_dim( id_set_xy(av), 'zu1_xy', 1, id_dim_zu1_xy(av), 108 )
+          CALL netcdf_create_var( id_set_xy(av), (/ id_dim_zu1_xy(av) /), 'zu1_xy', NF90_DOUBLE,   &
+                                  id_var_zu1_xy(av), 'meters', '', 109, 110, 000 )
+          CALL netcdf_create_att( id_set_xy(av), id_var_zu1_xy(av), 'axis', 'Z', 000)
+!
+!--       Define a variable to store the layer indices of the horizontal cross sections, too.
+          CALL netcdf_create_var( id_set_xy(av), (/ id_dim_zu_xy(av) /), 'ind_z_xy', NF90_DOUBLE,  &
+                                  id_var_ind_z_xy(av), 'gridpoints', '', 111, 112, 000 )
 !
 !--       Define x-axis (for scalar position)
-          CALL netcdf_create_dim( id_set_xy(av), 'x', nx+1, id_dim_x_xy(av),   &
-                                  113 )
-          CALL netcdf_create_var( id_set_xy(av), (/ id_dim_x_xy(av) /), 'x',   &
-                                  NF90_DOUBLE, id_var_x_xy(av), 'meters', '',  &
-                                  114, 115, 000 )
-          CALL netcdf_create_att( id_set_xy(av), id_var_x_xy(av), 'axis',      &
-                                  'X', 000)
+          CALL netcdf_create_dim( id_set_xy(av), 'x', nx+1, id_dim_x_xy(av), 113 )
+          CALL netcdf_create_var( id_set_xy(av), (/ id_dim_x_xy(av) /), 'x', NF90_DOUBLE,          &
+                                  id_var_x_xy(av), 'meters', '', 114, 115, 000 )
+          CALL netcdf_create_att( id_set_xy(av), id_var_x_xy(av), 'axis', 'X', 000)
 !
 !--       Define x-axis (for u position)
-          CALL netcdf_create_dim( id_set_xy(av), 'xu', nx+1,                   &
-                                  id_dim_xu_xy(av), 388 )
-          CALL netcdf_create_var( id_set_xy(av), (/ id_dim_xu_xy(av) /), 'xu', &
-                                  NF90_DOUBLE, id_var_xu_xy(av), 'meters', '', &
-                                  389, 390, 000 )
-          CALL netcdf_create_att( id_set_xy(av), id_var_xu_xy(av), 'axis',     &
-                                  'X', 000)
+          CALL netcdf_create_dim( id_set_xy(av), 'xu', nx+1, id_dim_xu_xy(av), 388 )
+          CALL netcdf_create_var( id_set_xy(av), (/ id_dim_xu_xy(av) /), 'xu', NF90_DOUBLE,        &
+                                  id_var_xu_xy(av), 'meters', '', 389, 390, 000 )
+          CALL netcdf_create_att( id_set_xy(av), id_var_xu_xy(av), 'axis', 'X', 000)
 !
 !--       Define y-axis (for scalar position)
-          CALL netcdf_create_dim( id_set_xy(av), 'y', ny+1, id_dim_y_xy(av),   &
-                                  116 )
-          CALL netcdf_create_var( id_set_xy(av), (/ id_dim_y_xy(av) /), 'y',   &
-                                  NF90_DOUBLE, id_var_y_xy(av), 'meters', '',  &
-                                  117, 118, 000 )
-          CALL netcdf_create_att( id_set_xy(av), id_var_y_xy(av), 'axis',      &
-                                  'Y', 000)
+          CALL netcdf_create_dim( id_set_xy(av), 'y', ny+1, id_dim_y_xy(av), 116 )
+          CALL netcdf_create_var( id_set_xy(av), (/ id_dim_y_xy(av) /), 'y', NF90_DOUBLE,          &
+                                  id_var_y_xy(av), 'meters', '', 117, 118, 000 )
+          CALL netcdf_create_att( id_set_xy(av), id_var_y_xy(av), 'axis', 'Y', 000)
 !
 !--       Define y-axis (for scalar position)
-          CALL netcdf_create_dim( id_set_xy(av), 'yv', ny+1,                   &
-                                  id_dim_yv_xy(av), 364 )
-          CALL netcdf_create_var( id_set_xy(av), (/ id_dim_yv_xy(av) /), 'yv', &
-                                  NF90_DOUBLE, id_var_yv_xy(av), 'meters', '', &
-                                  365, 366, 000 )
-          CALL netcdf_create_att( id_set_xy(av), id_var_yv_xy(av), 'axis',     &
-                                  'Y', 000)
+          CALL netcdf_create_dim( id_set_xy(av), 'yv', ny+1, id_dim_yv_xy(av), 364 )
+          CALL netcdf_create_var( id_set_xy(av), (/ id_dim_yv_xy(av) /), 'yv', NF90_DOUBLE,        &
+                                  id_var_yv_xy(av), 'meters', '', 365, 366, 000 )
+          CALL netcdf_create_att( id_set_xy(av), id_var_yv_xy(av), 'axis', 'Y', 000)
 !
 !--       Define UTM and geographic coordinates
-          CALL define_geo_coordinates( id_set_xy(av),         &
-                  (/ id_dim_x_xy(av), id_dim_xu_xy(av) /),    &
-                  (/ id_dim_y_xy(av), id_dim_yv_xy(av) /),    &
-                  id_var_eutm_xy(:,av), id_var_nutm_xy(:,av), &
-                  id_var_lat_xy(:,av), id_var_lon_xy(:,av)    )
+          CALL define_geo_coordinates( id_set_xy(av),                                              &
+                                       (/ id_dim_x_xy(av), id_dim_xu_xy(av) /),                    &
+                                       (/ id_dim_y_xy(av), id_dim_yv_xy(av) /),                    &
+                                       id_var_eutm_xy(:,av), id_var_nutm_xy(:,av),                 &
+                                       id_var_lat_xy(:,av), id_var_lon_xy(:,av)    )
 !
 !--       Define coordinate-reference system
           CALL netcdf_create_crs( id_set_xy(av), 000 )
 !
-!--       In case of non-flat topography define 2d-arrays containing the height
-!--       information. Only for parallel netcdf output.
-          IF ( TRIM( topography ) /= 'flat'  .AND.                             &
-               netcdf_data_format > 4  )  THEN
+!--       In case of non-flat topography define 2d-arrays containing the height information. Only
+!--       for parallel netcdf output.
+          IF ( TRIM( topography ) /= 'flat'  .AND.  netcdf_data_format > 4  )  THEN
 !
 !--          Define zusi = zu(nzb_s_inner)
-             CALL netcdf_create_var( id_set_xy(av), (/ id_dim_x_xy(av),        &
-                                     id_dim_y_xy(av) /), 'zusi', NF90_DOUBLE,  &
-                                     id_var_zusi_xy(av), 'meters',             &
-                                     'zu(nzb_s_inner)', 421, 422, 423 )
+             CALL netcdf_create_var( id_set_xy(av), (/ id_dim_x_xy(av), id_dim_y_xy(av) /), 'zusi',&
+                                     NF90_DOUBLE, id_var_zusi_xy(av), 'meters', 'zu(nzb_s_inner)', &
+                                     421, 422, 423 )
 !
 !--          Define zwwi = zw(nzb_w_inner)
-             CALL netcdf_create_var( id_set_xy(av), (/ id_dim_x_xy(av),        &
-                                     id_dim_y_xy(av) /), 'zwwi', NF90_DOUBLE,  &
-                                     id_var_zwwi_xy(av), 'meters',             &
-                                     'zw(nzb_w_inner)', 424, 425, 426 )
+             CALL netcdf_create_var( id_set_xy(av), (/ id_dim_x_xy(av), id_dim_y_xy(av) /), 'zwwi',&
+                                     NF90_DOUBLE, id_var_zwwi_xy(av), 'meters', 'zw(nzb_w_inner)', &
+                                     424, 425, 426 )
 
           ENDIF
